﻿/*  ----------------------------------------------------------------------------
 *  Author:
 *  Chandra Shekhar Tripathi
 *  ----------------------------------------------------------------------------
 *  Product Name:
 *  DbDocumenter
 *  ----------------------------------------------------------------------------
 *  Year:
 *  2009
 *  ----------------------------------------------------------------------------
 *  File:
 *  Table.cs
 *  ----------------------------------------------------------------------------
 */
namespace DBDocumenter.BLL.Entities
{
    using System.Collections.Generic;

    /// <summary>
    /// 
    /// </summary>
    public class Table
    {
        #region Fields

        private List<Column> colunms = new List<Column>();
        private string name;
        private string schema;
        private string type;

        #endregion Fields

        #region Properties

        /// <summary>
        /// Gets or sets the colunms.
        /// </summary>
        /// <value>The colunms.</value>
        public List<Column> Colunms
        {
            get { return colunms; }
            set { colunms = value; }
        }

        /// <summary>
        /// Gets or sets the name.
        /// </summary>
        /// <value>The name.</value>
        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        /// <summary>
        /// Gets or sets the schema.
        /// </summary>
        /// <value>The schema.</value>
        public string Schema
        {
            get { return schema; }
            set { schema = value; }
        }

        /// <summary>
        /// Gets or sets the type.
        /// </summary>
        /// <value>The type.</value>
        public string Type
        {
            get { return type; }
            set { type = value; }
        }

        #endregion Properties
    }
}