﻿/*  ----------------------------------------------------------------------------
 *  Author:
 *  Chandra Shekhar Tripathi
 *  ----------------------------------------------------------------------------
 *  Product Name:
 *  DbDocumenter
 *  ----------------------------------------------------------------------------
 *  Year:
 *  2009
 *  ----------------------------------------------------------------------------
 *  File:
 *  View.cs
 *  ----------------------------------------------------------------------------
 */
namespace DBDocumenter.BLL.Entities
{
    using System.Collections.Generic;

    /// <summary>
    /// 
    /// </summary>
    public class View
    {
        #region Fields

        private string checkSchema = string.Empty;
        private List<Column> colunms = new List<Column>();
        private string description = string.Empty;
        private string isUpdateble = string.Empty;
        private string name = string.Empty;
        private string schema = string.Empty;

        #endregion Fields

        #region Properties

        /// <summary>
        /// Gets or sets the check schema.
        /// </summary>
        /// <value>The check schema.</value>
        public string CheckSchema
        {
            get { return checkSchema; }
            set { checkSchema = value; }
        }

        /// <summary>
        /// Gets or sets the colunms.
        /// </summary>
        /// <value>The colunms.</value>
        public List<Column> Colunms
        {
            get { return colunms; }
            set { colunms = value; }
        }

        /// <summary>
        /// Gets or sets the description.
        /// </summary>
        /// <value>The description.</value>
        public string Description
        {
            get { return description; }
            set { description = value; }
        }

        /// <summary>
        /// Gets or sets the is updateble.
        /// </summary>
        /// <value>The is updateble.</value>
        public string IsUpdateble
        {
            get { return isUpdateble; }
            set { isUpdateble = value; }
        }

        /// <summary>
        /// Gets or sets the name.
        /// </summary>
        /// <value>The name.</value>
        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        /// <summary>
        /// Gets or sets the schema.
        /// </summary>
        /// <value>The schema.</value>
        public string Schema
        {
            get { return schema; }
            set { schema = value; }
        }

        #endregion Properties
    }
}