﻿/*  ----------------------------------------------------------------------------
 *  Author:
 *  Chandra Shekhar Tripathi
 *  ----------------------------------------------------------------------------
 *  Product Name:
 *  DbDocumenter
 *  ----------------------------------------------------------------------------
 *  Year:
 *  2009
 *  ----------------------------------------------------------------------------
 *  File:
 *  Function.cs
 *  ----------------------------------------------------------------------------
 */
namespace DBDocumenter.BLL.Entities
{
    using System.Collections.Generic;

    /// <summary>
    /// 
    /// </summary>
    public class Function
    {
        #region Fields

        private string createdDate = string.Empty;
        private string description = string.Empty;
        private string lastAlteredDate = string.Empty;
        private string name = string.Empty;
        private List<Parameter> parameters = new List<Parameter>();
        private string schema = string.Empty;

        #endregion Fields

        #region Properties

        /// <summary>
        /// Gets or sets the created date.
        /// </summary>
        /// <value>The created date.</value>
        public string CreatedDate
        {
            get { return createdDate; }
            set { createdDate = value; }
        }

        /// <summary>
        /// Gets or sets the description.
        /// </summary>
        /// <value>The description.</value>
        public string Description
        {
            get { return description; }
            set { description = value; }
        }

        /// <summary>
        /// Gets or sets the last altered date.
        /// </summary>
        /// <value>The last altered date.</value>
        public string LastAlteredDate
        {
            get { return lastAlteredDate; }
            set { lastAlteredDate = value; }
        }

        /// <summary>
        /// Gets or sets the name.
        /// </summary>
        /// <value>The name.</value>
        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        /// <summary>
        /// Gets or sets the parameters.
        /// </summary>
        /// <value>The parameters.</value>
        public List<Parameter> Parameters
        {
            get { return parameters; }
            set { parameters = value; }
        }

        /// <summary>
        /// Gets or sets the schema.
        /// </summary>
        /// <value>The schema.</value>
        public string Schema
        {
            get { return schema; }
            set { schema = value; }
        }

        #endregion Properties
    }
}