﻿/*  ----------------------------------------------------------------------------
 *  Author:
 *  Chandra Shekhar Tripathi
 *  ----------------------------------------------------------------------------
 *  Product Name:
 *  DbDocumenter
 *  ----------------------------------------------------------------------------
 *  Year:
 *  2009
 *  ----------------------------------------------------------------------------
 *  File:
 *  ServerInfo.cs
 *  ----------------------------------------------------------------------------
 */
namespace DBDocumenter.BLL.Entities
{
    /// <summary>
    /// 
    /// </summary>
    public class ServerInfo
    {
        #region Fields

        private string dbCreateDate;
        private string dbID;
        private string dbName;

        #endregion Fields

        #region Properties

        /// <summary>
        /// Gets or sets the db create date.
        /// </summary>
        /// <value>The db create date.</value>
        public string DbCreateDate
        {
            get { return dbCreateDate; }
            set { dbCreateDate = value; }
        }

        /// <summary>
        /// Gets or sets the db ID.
        /// </summary>
        /// <value>The db ID.</value>
        public string DbID
        {
            get { return dbID; }
            set { dbID = value; }
        }

        /// <summary>
        /// Gets or sets the name of the db.
        /// </summary>
        /// <value>The name of the db.</value>
        public string DbName
        {
            get { return dbName; }
            set { dbName = value; }
        }

        #endregion Properties
    }
}