<!DOCTYPE xsl:stylesheet [
  <!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match = "/" >

    <html>
      <head>

        <meta http-equiv="content-type" content="text/html; charset=iso-8859-1"/>
        <link rel="stylesheet" href="./Styles/jquery.treeview.css" />
        <link rel="stylesheet" href="./Styles/screen.css" />

        <script type="text/javascript" src="./js/jquery.min.js">
          /*JavaScript*/
        </script>
        <script src="./js/jquery.cookie.js" type="text/javascript">
          /*JavaScript*/
        </script>
        <script src="./js/jquery.treeview.js" type="text/javascript">
          /*JavaScript*/
        </script>

        <script src="./js/main.js" type="text/javascript">
          /*JavaScript*/
        </script>

      </head>
      <body>

        <h1 id="banner">
          Menus
        </h1>
        <div id="main">

          <ul id="browser" class="filetree treeview-famfamfam">
            <li>
              <span class="folder">
                <a target="content" href ="./Default/Content.htm">
                    <xsl:value-of select="Menus/DatabaseName"/>
                </a>
              </span>
              <ul>
                <xsl:for-each select="Menus/Menu">
                  <li class="closed">
                    <span>
                      <xsl:attribute name="class">
                        <xsl:value-of select="Type" disable-output-escaping="yes" />
                      </xsl:attribute>
                      <a target="content">
                        <xsl:attribute name="href">
                          <xsl:value-of select="FileName" disable-output-escaping="yes"  />
                        </xsl:attribute>
                        <xsl:value-of select="Name"/>
                      </a>
                    </span>
                    <xsl:if test="Type = 'folder'">
                      <ul>
                        <xsl:for-each select="Item">
                          <li>
                            <span class="file">
                              <a target="content">
                                <xsl:attribute name="href">
                                  <xsl:value-of select="FileName" disable-output-escaping="yes"  />
                                </xsl:attribute>
                                <xsl:value-of select="Name"/>
                              </a>
                            </span>
                          </li>
                        </xsl:for-each>
                      </ul>
                    </xsl:if>
                  </li>
                </xsl:for-each>
              </ul>
            </li>
          </ul>
          <p>
            +/- Icons from <a href="http://www.famfamfam.com/lab/icons/">famfamfam</a>
          </p>
        </div>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>